<?php
// functions.php by quad341. Functions for php backend of flash front end for flash quad's world

// first function: detag. flash will just stop displaying when it hits a <a href...></a> tag
// this function will go through and remove the tags, leaving the url. It returns true if it
// found a tag. it returns false when it hasn't.  the parameter is what text you want detagged

// second function: check_url. flash cannot tolerate a link to have 2 get variables submitted
// or it will use the second variable as a variable for itself and basically stop rendering the
// rest of the page because the variable stopped. this function will replace these varibles with
// [url not valid for Flash]. the parameter is the text you want checked if the url is valid.

// third function: to_newline. flash seems to like newlines instead of <br> and <p>
// this is a simple function to change <br> into \n and <p> into \n\n

// last function: verify_text. single function to run all other functions in this file

function detag($text) {
	// first let's remove all the <a href= (with quote if you need it)
	$first_fix = Str_replace('<a href=', 'from ', $text);
	// now use a regular expression to find and replace the end
	$detagged = eregi_replace('>[a-z0-9\\._\' ]+</a>', '', $first_fix);
	// just incase is said from <a...>here</a> or it is listed on <a href....>here</a>
	$detagged2 = Str_replace('from from ', 'from ', $detagged);
	$detagged3 = Str_replace('on from ', 'on ', $detagged2);
	$detagged4 = Str_replace('look from ', 'look to ', $detagged3);
	return $detagged4;
}

function check_url($text) {
	// simple function.  just need to use 1 regular expression
	$checked = eregi_replace('http://[a-z0-9\\._]+\\.[a-z/]+[a-z0-9_\\.]*\\?[a-z0-9_]+=[a-z0-9_\\+%]+&[&a-z0-9_=\\+%]+', '[url not valid for Flash]', $text);
	return $checked;
}

function to_newline($text) {
	$no_br = Str_replace('<br>', '\n', $text);
	//$no_html = Str_replace('<p>', '\n\n', $no_br);
	$no_html = Str_replace('<p>', '', $no_br);
	return $no_html;
}

function verify_text($text) {
	// just combining above functions into a single one
	$detagged = detag($text);
	$checked = check_url($detagged);
	$final = to_newline($checked);
	return $final;
}
?>
